import { createRouter, createWebHistory } from 'vue-router'

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: '/',
      name: 'home',
      component: ()=>import('../views/HomeView.vue'),
      children:[
        {
          name:'cesium',
          path:'ceisumView',
          component:()=>import("../views/cesiumView/CesiumHome.vue")
        },{
          name:'visio',
          path:'visioView',
          component:()=>import("../views/goJsView/VisioHome.vue")
        },{
          name:'analysis',
          path:'analysisView',
          component:()=>import("../views/olView/analysisHome.vue")
        }
      ]
    },
    {
      path: '/about',
      name: 'about',
      component: () => import('../views/AboutView.vue')
    }
  ]
})

export default router
